/*
 * read_histogram.C
 *  Reads a histogram as saved by the the GtkHst objects
 *
 *  Created on: Dec 6, 2014
 *      Author: lacasta
 */

#include <iostream>
#include <iomanip>
#include <fstream>
#include <TH1.h>
#include <TH2.h>

TH1 * read_histogram(const char *file_name, const char *name, const char *title)
{
    std::ifstream ifile(file_name);
    if (!ifile)
    {
        std::cout << "Could not open " << file_name << std::endl;
        return 0;
    }

    TH1 *hst = 0;
    std::string tag;
    ifile >> tag >> std::ws;

    if ( tag == "2D" )
    {
        int nx, ny;
        double xmin, xmax, ymin, ymax;
        ifile >> nx >> xmin >> xmax >> ny >> ymin >> ymax;
        ifile.ignore(256,'\n');

        TH2D *h2 = new TH2D(name, title, nx, xmin, xmax, ny, ymin, ymax);
        for (int iy=0; iy<ny; iy++)
        {
            for (int ix=0; ix<nx; ix++)
            {
                double xv;
                ifile >> xv;
                h2->SetCellContent(ix+1, iy+1, xv);
            }
        }
        hst = (TH1 *)h2;
    }
    else
    {
        int nx;
        double xmin, xmax;

    }
    ifile.close();

    return hst;
}
